diff --git a/buildSrc/build.gradle b/buildSrc/build.gradle
index 5b67b8d..8cde4a2 100644
--- a/buildSrc/build.gradle
+++ b/buildSrc/build.gradle
@@ -21,6 +21,7 @@ apply plugin: 'idea'
 dependencies {
     compile gradleApi()
     groovy localGroovy()
+    testCompile 'org.jfrog.wharf:wharf-core:1.0+@jar'
     testCompile 'junit:junit:4.8.1@jar'
     testCompile 'org.spockframework:spock-core:0.4-groovy-1.7@jar', 'cglib:cglib-nodep:2.2', 'org.objenesis:objenesis:1.2'
 }
diff --git a/subprojects/gradle-core/core.gradle b/subprojects/gradle-core/core.gradle
index 7e8c84b..3dcdc80 100644
--- a/subprojects/gradle-core/core.gradle
+++ b/subprojects/gradle-core/core.gradle
@@ -37,6 +37,7 @@ configurations {
 }
 
 dependencies {
+    groovy localGroovy()
     groovy libraries.groovy_depends
 
     compile "commons-httpclient:commons-httpclient:3.0@jar", "commons-codec:commons-codec:1.2@jar", libraries.jcl_to_slf4j
diff --git a/subprojects/gradle-core/src/main/groovy/org/gradle/api/internal/artifacts/ivyservice/DefaultResolverFactory.java b/subprojects/gradle-core/src/main/groovy/org/gradle/api/internal/artifacts/ivyservice/DefaultResolverFactory.java
index 11bad1b..badf344 100644
--- a/subprojects/gradle-core/src/main/groovy/org/gradle/api/internal/artifacts/ivyservice/DefaultResolverFactory.java
+++ b/subprojects/gradle-core/src/main/groovy/org/gradle/api/internal/artifacts/ivyservice/DefaultResolverFactory.java
@@ -45,7 +45,7 @@ import org.gradle.api.internal.artifacts.publish.maven.deploy.groovy.DefaultGroo
 import org.gradle.api.internal.file.FileResolver;
 import org.gradle.logging.LoggingManagerInternal;
 import org.gradle.util.DeleteOnExit;
-import org.jfrog.wharf.resolver.GradleWharfResolver;
+import org.jfrog.wharf.ivy.resolver.IvyWharfResolver;
 
 import java.io.File;
 import java.io.IOException;
@@ -126,7 +126,7 @@ public class DefaultResolverFactory implements ResolverFactory {
     private IBiblioResolver createIBiblioResolver(String name, String root) {
         IBiblioResolver iBiblioResolver;
         if (useWharf) {
-            iBiblioResolver = new GradleWharfResolver();
+            iBiblioResolver = new IvyWharfResolver();
         } else {
             iBiblioResolver = new GradleIBiblioResolver();
         }
